CREATE PROCEDURE [dbo].[GetTruckPhysicalDock](@TEXT varchar(max))
AS
BEGIN
DECLARE @NEW VARCHAR(MAX)
DECLARE @DOCKTABLE TABLE (DOCKCD VARCHAR(4))
DECLARE @PHYDOCK TABLE (DOCKCD VARCHAR(4))

INSERT INTO @DOCKTABLE SELECT s FROM [dbo].fnSplitString(@TEXT,';')

INSERT INTO @PHYDOCK SELECT ISNULL(A.PHYSICAL_DOCKCD,B.DOCKCD) 
FROM TB_M_PHYSICAL_DOCK_MAPPING A INNER JOIN @DOCKTABLE B ON A.LOGICAL_DOCKCD = B.DOCKCD OR A.PHYSICAL_DOCKCD = B.DOCKCD
INSERT INTO @PHYDOCK SELECT DOCKCD FROM @DOCKTABLE

SELECT @NEW = COALESCE(@NEW + ',', '') + CAST(DOCKCD AS VARCHAR) FROM 
(SELECT DISTINCT DOCKCD FROM @PHYDOCK) TBL1

SELECT @NEW as PDOCK
END

